textures/flap/lightstreak_s
{
	qer_editorimage textures/flap/lightstreak.tga
	qer_trans 0.5

	surfaceparm	nolightmap
	surfaceparm	nonsolid

	sort additive
	cull disable

	{
		map	textures/flap/lightstreak.tga
		blendfunc GL_ONE GL_ONE
		//rgbGen identity
		tcMod scroll 0.2 0
	}
}

textures/flap/flap_fog_s
{
	qer_editorimage textures/common-trem/nobuild.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.05 0.05 0.05 ) 500
}

textures/flap/sparkstreak_s
{  
  cull disable
  {
    map textures/flap/sparkstreak.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    alphaGen vertex
  }
}

textures/flap/cubelight_32_red_s
{
	qer_editorimage textures/flap/cubelight_32_red.jpg
	surfaceparm nomarks
	q3map_surfacelight 20000
	q3map_lightRGB 1 .1 .1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/flap/cubelight_32_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/flap/cubelight_32_red.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}


textures/flap/cubelight_32_white_s
{
	qer_editorimage textures/flap/cubelight_32_white.jpg
	surfaceparm nomarks
	q3map_surfacelight 30000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/flap/cubelight_32_white.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/flap/cubelight_32_white.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/flap/cubelight_32_blue_s_10k
{
	qer_editorimage textures/flap/cubelight_32_blue.jpg
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightRGB .5 .75 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/flap/cubelight_32_blue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/flap/cubelight_32_blue.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}


textures/flap/glass_02_s
{
	qer_editorimage textures/flap/001metal.jpg
	//surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/flap/001metal.jpg
		blendfunc add
		rgbGen const ( 0.05 0.05 0.07 )
	}
}

textures/flap/sky
{
	qer_editorimage textures/flap/sky_arc_masked.tga
	
	q3map_sunExt 1 1 1 140 -35 25 2 1
	
	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 90 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/flap/env/sky 1024 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/flap/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/flap/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

textures/flap/eq2lt_baselt03b_blue_s_1500
{
	surfaceparm nomarks
	q3map_surfacelight 1500
	q3map_lightimage textures/flap/eq2_baselt03b_blue.blend.tga
	qer_editorimage textures/flap/eq2_baselt03b_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/flap/eq2_baselt03b_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/flap/eq2_baselt03b_blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/flap/e6bsegrtflr256_s
{
	qer_editorimage textures/flap/e6bsegrtflr256.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none
	nopicmip
	{
		map textures/flap/e6bsegrtflr256.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}

textures/flap/lig_032-05b2-2k
{
	qer_editorimage textures/flap/032lig20bb.jpg
	q3map_lightimage textures/flap/032lig20b.blend.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/flap/032lig20bb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/flap/032lig20b.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}
